Skip to content

Shop Affiliates

Introduction

Get affiliates promoting a shop using the seller_id.

Endpoint

bash
POST /shop/v1/creatorList

Request Body

FieldTypeRequiredDescription
filterobjectNoFilter parameters
orderbyobjectNoSorting parameters
pageintegerNoDefault: 1
pagesizeintegerNoDefault: 10

filter Optional Values

FieldTypeRequiredDescription
seller_idstringNoShop ID
creator_uidstringNoCreator UID associated with the shop
creator_unique_idstringNoUnique Creator ID associated with the shop: @xxxxxxx
seller_namestringNoShop Name
regionstringNoCountry/Region of the shop

seller_name and region must be passed at the same time

orderby 可选值

FieldRequiredDescription
digg_countNodigg count
follower_countNofollower count
units_soldNoSales Volume
gmvNoSales Amount (GMV)

Request Example

bash
curl 'https://openapi.fastmoss.com/shop/v1/creatorList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "seller_id": "7495500842223700917",
        # "creator_uid": "xxxxxxxxxxx",
        # "creator_unique_id": "xxxxxxx",
        # "seller_name": "xxxxxx",
        # "region": "US"
    },
    "orderby": [{
        "field": "units_sold",
        "order": "desc"
    }],
    # "orderby": [{
    #     "field": "gmv",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "follower_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "digg_count",
    #     "order": "desc"
    # }],
    "page": 1,
    "pagesize": 10
}'

Response Body

data.total

Total number of results

data.list

FieldTypeDescription
uidstringCreator UID
seller_idstringShop ID
unique_idstringCreator Unique ID
nicknamestringCreator Nickname
avatarstringCreator Avatar URL
units_soldintegerCreator Sales
gmvfloatCreator GMV
category_idintegerCreator Category ID
category_namestringCreator Category Name
follower_countintegerCreator Follower Count
aweme_countintegerCreator Video Count
favoriting_countintegerCreator Favoriting Count
regionstringCreator Region

Response Example

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 8,
    "list": [
      {
        "uid": "6893103660525831169",
        "seller_id": "xxxxxxxxxxxx",
        "units_sold": 1354,
        "gmv": 22034.60,
        "unique_id": "twobakeboys",
        "nickname": "Twobakeboys",
        "avatar": "https://s.500fd.com/tt_author/935c7d720caecc448ed85fbcbac1218b~c5_300x300.jpeg",
        "category_id": 5, //creator's category_id
        "category_name": "Food & Beverage", //creator's category_name
        "category": [//deprecated
            "Food & Beverage"
        ],
        "follower_count": 22572,
        "aweme_count": 510,
        "favoriting_count": 480,
        "region": "SG" //creator's region
      }
     ]
 }
}